Class | Array
In: | lib/rbot/core/utils/extends.rb
Parent: | Object

Extensions to the Array class

### Methods

delete_one pick_one shuffle shuffle!

### Public Instance methods

delete_one(val=nil)

This method returns a given element from the array, deleting it from the array itself. The method returns nil if the element couldn‘t be found.

If nil is specified, a random element is returned and deleted.

pick_one()

This method returns a random element from the array, or nil if the array is empty

shuffle()
shuffle!()

[Validate]